# helper-coverage [![NPM version](https://badge.fury.io/js/helper-coverage.svg)](http://badge.fury.io/js/helper-coverage)

> Template helper for including a code coverage report generated by istanbul.

## Install with [npm](npmjs.org)

```bash
npm i helper-coverage --save
```

## Usage

```js
var coverage = require('helper-coverage');

// specify the file to include (generated by istanbul)
coverage('coverage/summary.txt');
```

### Live examples

* See [fixtures/expected.txt](./fixtures/expected.txt) for a full example of the rendered result.
* See a live example on the [template-helpers readme](https://github.com/jonschlinkert/template-helpers#code-coverage) (generated by [verb])

## Registering the helper

**[Handlebars]**

Register and use the helper with [handlebars]:

```js
var handlebars = require('handlebars');
handlebars.registerHelper('coverage', require('helper-coverage'));
handlebars.compile('{{coverage "coverage/summary.txt"}}')();
```

**[Verb]**

Register and use the helper with [verb]

```js
var verb = require('verb');
verb.helper('coverage', require('helper-coverage'));
verb.render('{%= coverage("coverage/summary.txt") %}');
```


## Related projects
Use the helper with one of these great projects:

 * [verb](https://github.com/assemble/verb): Verb makes it dead simple to generate markdown documentation, using simple templates, with zero configuration required. A project without documentation is like a project that doesn't exist.
 * [assemble](http://assemble.io): Static site generator for Grunt.js, Yeoman and Node.js. Used by Zurb Foundation, Zurb Ink, H5BP/Effeckt, Less.js / lesscss.org, Topcoat, Web Experience Toolkit, and hundreds of other projects to build sites, themes, components, documentation, blogs and gh
 * [template](https://github.com/jonschlinkert/template): Render templates from any engine. Make custom template types, use layouts on pages, partials or any custom template type, custom delimiters, helpers, middleware, routes, loaders, and lots more. Powers Assemble v0.6.0, Verb v0.3.0 and your application.

Register the helper with your engine of choice:

 * [handlebars](http://www.handlebarsjs.com/): Handlebars provides the power necessary to let you build semantic templates effectively with no frustration
 * [lodash](https://lodash.com/): The modern build of lodash modular utilities.
 * [engine-lodash](https://github.com/jonschlinkert/engine-lodash): Lo-Dash engine, consolidate.js style but with enhancements. Works with Assemble, express.js, engine-cache or any application that follows consolidate.js conventions.
 * [engine-handlebars](https://github.com/jonschlinkert/engine-handlebars): Handlebars engine, consolidate.js style but with enhancements. This works with Assemble, express.js, engine-cache or any application that follows consolidate.js conventions.  

Or any other engine that has support for helper functions.

## Running tests
Install dev dependencies:

```bash
npm i -d && npm test
```

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/helper-coverage/issues)

## Author

**Jon Schlinkert**

+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2015 Jon Schlinkert  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on April 19, 2015._

<!-- generated reference links -->

[verb]: https://github.com/assemble/verb
[assemble]: http://assemble.io
[template]: https://github.com/jonschlinkert/template
[handlebars]: http://www.handlebarsjs.com/
[lodash]: https://lodash.com/
[engine-lodash]: https://github.com/jonschlinkert/engine-lodash
[engine-handlebars]: https://github.com/jonschlinkert/engine-handlebars
